# Recently Logged

Use the `recentMealLogs`query to obtain a list of the most recently logged items.

### Available Fields

The following fields will be displayed in the response:

| Field Name | Type                                                                                         | Description                                                                                                          |
| ---------- | -------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------- |
| `id`       | ID                                                                                           | Food item ID.                                                                                                        |
| `name`     | String                                                                                       | Name of the meal                                                                                                     |
| `mealTime` | [RecipeMealTime](https://docs.suggestic.com/graphql/objects/common/meal-times)               | Object that returns the valid meal times. Valid values are: `BREAKFAST`, `LUNCH`, `DINNER`, `SNACK`, `TREAT_DESSERT` |
| `mealType` | [mealType](https://docs.suggestic.com/graphql/objects/food-logs/meal-type#available-options) | Object that represents the source and type of a meal or food.                                                        |

### Example

{% tabs %}
{% tab title="Query" %}

```graphql
{
  recentMealLogs  {
    id
    name
    mealType
    mealTime
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "recentMealLogs": [
      {
        "id": "TWVhbExvZzo5NTI0Y2VlZWZhMGExMWViYmQ0NjlhZWQzYzNjNTc2YQ==",
        "name": "Potato and Pesto Salad",
        "mealType": "RECIPE",
        "mealTime": "DINNER"
      },
      {
        "id": "TWVhbExvZzpkODYyZjk5Y2ZhMDUxMWViYTRlOGU2NjU1YjM5NzE2ZQ==",
        "name": "Powercrunch Protein bar",
        "mealType": "OWN_ITEM",
        "mealTime": "LUNCH"
      },
      {
        "id": "TWVhbExvZzpkODVlYTJlOGZhMDUxMWViYjAxOGZhZmViNzUzYWZkNA==",
        "name": "Powercrunch Protein bar",
        "mealType": "OWN_ITEM",
        "mealTime": "BREAKFAST"
      },
      {
        "id": "TWVhbExvZzpkODViNTM5YWZhMDUxMWViYjgwNjkyZDk4M2U2YWRhMg==",
        "name": "Powercrunch Protein bar",
        "mealType": "OWN_ITEM",
        "mealTime": "DINNER"
      },
      {
        "id": "TWVhbExvZzo4YjMwOTUzNGY5MzkxMWViOTU2N2NhZjI0OTc1ODNlMQ==",
        "name": "avocado",
        "mealType": "OWN_ITEM",
        "mealTime": "DINNER"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/food-log/recently-logged.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
